%undefine _package_note_flags
# TESTING NOTE: We cannot run the tests, because they requires ppx_jane.
# We do not yet have that package in Fedora.  Even if we did, it requires this
# package to build, so we would introduce a circular dependency.

%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%bcond_with test

%global upname  ppx_expect

Name:           ocaml-%{upname}
Epoch:          1
Version:        0.17.2
Release:        %mkrel 1
Summary:        Framework for writing tests in OCaml
Group:          Development/OCaml

License:        MIT
URL:            https://github.com/janestreet/ppx_expect
Source0:        %{url}/archive/v%{version}/%{upname}-%{version}.tar.gz

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-base-devel >= 0.17
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-ppx_here-devel >= 0.17
BuildRequires:  ocaml-ppx_inline_test-devel >= 0.17
BuildRequires:  ocaml-ppxlib-devel >= 0.28.0
BuildRequires:  ocaml-stdio-devel >= 0.17

%if %{with test}
BuildRequires:  ocaml-ppx-jane-devel
%endif

%description
Ppx_expect is a framework for writing tests in OCaml, similar to Cram
(https://bitheap.org/cram/).  Ppx_expect mimics the existing inline
tests framework with the `let%%expect_test` construct.  The body of an
expect-test can contain output-generating code, interleaved with
`%%expect` extension expressions to denote the expected output.

When run, these tests will pass iff the output matches what was
expected.  If a test fails, a corrected file with the suffix
".corrected" will be produced with the actual output, and the
`inline_tests_runner` will output a diff.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Requires:       ocaml-base-devel%{?_isa}
Requires:       ocaml-ppx_here-devel%{?_isa}
Requires:       ocaml-ppx_inline_test-devel%{?_isa}
Requires:       ocaml-ppxlib-devel%{?_isa}
Requires:       ocaml-re-devel%{?_isa}
Requires:       ocaml-stdio-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n %{upname}-%{version}

%build
%dune_build

%install
%dune_install

%if %{with test}
%check
%dune_check
%endif

%files -f .ofiles
%doc CHANGES.md README.mdx
%license LICENSE.md

%files devel -f .ofiles-devel



%changelog
* Thu Jun 19 2025 daviddavid <daviddavid> 1:0.17.2-1.mga10
+ Revision: 2192914
- new version: 0.17.2

* Wed Dec 14 2022 pterjan <pterjan> 1:0.15.0-4.mga9
+ Revision: 1922138
- Rebuild for new ppxlib

* Sun Oct 09 2022 pterjan <pterjan> 1:0.15.0-3.mga9
+ Revision: 1895905
- Rebuild for new ocaml-base

* Fri May 20 2022 pterjan <pterjan> 1:0.15.0-2.mga9
+ Revision: 1859490
- Add epoch as we had the package with an epoch in the past

* Fri May 20 2022 pterjan <pterjan> 0.15.0-1.mga9
+ Revision: 1859488
- imported package ocaml-ppx_expect

